Subject: bug#64302: Guix derivation cannot be computed during pull

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Aug 2023 15:33:43 +0200

Hi,

Andreas Enge <[email-masked]> skribis:

> It looks like 1GB of memory is not enough for "guix pull", which is
> not nice. Has this been addressed in later commits? Is there a known
> lower memory limit for using Guix?

This is terrible.  :-/

The culprit here is Guile, specifically its compiler and psyntax.  I
made some improvements to reduce its memory consumption in 3.0, but it’s
definitely not 2x or so unfortunately.  So, to be continued…

Ludo’.